searchNodes=[{"doc":"Library for dealing with descision theory algorithms.","ref":"Descisionex.html","title":"Descisionex","type":"module"},{"doc":"","ref":"Descisionex.html#analytic_hierarchy/0","title":"Descisionex.analytic_hierarchy/0","type":"function"},{"doc":"","ref":"Descisionex.html#analytic_hierarchy/1","title":"Descisionex.analytic_hierarchy/1","type":"function"},{"doc":"","ref":"Descisionex.html#payment_matrix/0","title":"Descisionex.payment_matrix/0","type":"function"},{"doc":"","ref":"Descisionex.html#payment_matrix/1","title":"Descisionex.payment_matrix/1","type":"function"},{"doc":"","ref":"Descisionex.html#set_alternatives/2","title":"Descisionex.set_alternatives/2","type":"function"},{"doc":"","ref":"Descisionex.html#set_alternatives_matrix/2","title":"Descisionex.set_alternatives_matrix/2","type":"function"},{"doc":"","ref":"Descisionex.html#set_criteria/2","title":"Descisionex.set_criteria/2","type":"function"},{"doc":"https://en.wikipedia.org/wiki/Analytic_hierarchy_process","ref":"Descisionex.AnalyticHierarchy.html","title":"Descisionex.AnalyticHierarchy","type":"module"},{"doc":"","ref":"Descisionex.AnalyticHierarchy.html#calculate_alternatives_weights/1","title":"Descisionex.AnalyticHierarchy.calculate_alternatives_weights/1","type":"function"},{"doc":"","ref":"Descisionex.AnalyticHierarchy.html#calculate_alternatives_weights_by_criteria/1","title":"Descisionex.AnalyticHierarchy.calculate_alternatives_weights_by_criteria/1","type":"function"},{"doc":"","ref":"Descisionex.AnalyticHierarchy.html#calculate_criteria_weights/1","title":"Descisionex.AnalyticHierarchy.calculate_criteria_weights/1","type":"function"},{"doc":"","ref":"Descisionex.AnalyticHierarchy.html#normalize_comparison_matrix/1","title":"Descisionex.AnalyticHierarchy.normalize_comparison_matrix/1","type":"function"},{"doc":"","ref":"Descisionex.AnalyticHierarchy.html#set_alternatives/2","title":"Descisionex.AnalyticHierarchy.set_alternatives/2","type":"function"},{"doc":"","ref":"Descisionex.AnalyticHierarchy.html#set_alternatives_matrix/2","title":"Descisionex.AnalyticHierarchy.set_alternatives_matrix/2","type":"function"},{"doc":"","ref":"Descisionex.AnalyticHierarchy.html#set_criteria/2","title":"Descisionex.AnalyticHierarchy.set_criteria/2","type":"function"},{"doc":"Utility functions","ref":"Descisionex.Helper.html","title":"Descisionex.Helper","type":"module"},{"doc":"Average number for matrix row. Examples iex&gt; matrix = [ [ 1 , 2 ] , [ 3 , 4 ] , [ 0 , 1 ] ] iex&gt; Enum . map ( matrix , fn row -&gt; Descisionex.Helper . avg ( row , 2 ) end ) [ 1.5 , 3.5 , 0.5 ]","ref":"Descisionex.Helper.html#avg/2","title":"Descisionex.Helper.avg/2","type":"function"},{"doc":"Calculate weights for matrix rows. Examples iex&gt; matrix = [ [ 1 , 2 ] , [ 3 , 4 ] , [ 0 , 1 ] ] iex&gt; size = 2 # matrix row elements count iex&gt; Descisionex.Helper . calculate_weights ( matrix , size ) [ [ 1.5 ] , [ 3.5 ] , [ 0.5 ] ]","ref":"Descisionex.Helper.html#calculate_weights/2","title":"Descisionex.Helper.calculate_weights/2","type":"function"},{"doc":"Find maximal criteria (row) in matrix (with index). Examples iex&gt; matrix = [ [ 1 , 2 ] , [ 3 , 4 ] , [ 0 , 1 ] ] iex&gt; Descisionex.Helper . find_max_criteria ( matrix ) { [ 3 , 4 ] , 1 }","ref":"Descisionex.Helper.html#find_max_criteria/1","title":"Descisionex.Helper.find_max_criteria/1","type":"function"},{"doc":"Find minimal criteria (row) in matrix (with index). Examples iex&gt; matrix = [ [ 1 , 2 ] , [ 3 , 4 ] , [ 0 , 1 ] ] iex&gt; Descisionex.Helper . find_min_criteria ( matrix ) { [ 0 , 1 ] , 2 }","ref":"Descisionex.Helper.html#find_min_criteria/1","title":"Descisionex.Helper.find_min_criteria/1","type":"function"},{"doc":"Normalizes matrix. Examples iex&gt; matrix = [ [ 1 , 2 ] , [ 3 , 4 ] , [ 0 , 1 ] ] iex&gt; size = 3 # matrix rows iex&gt; Descisionex.Helper . normalize ( matrix , size ) [ [ 0.25 , 0.286 ] , [ 0.75 , 0.571 ] , [ 0.0 , 0.143 ] ]","ref":"Descisionex.Helper.html#normalize/2","title":"Descisionex.Helper.normalize/2","type":"function"},{"doc":"Matrix rounding to 3 numbers. Examples iex&gt; matrix = [ [ 1 / 3 , 2 / 3 ] , [ 4 / 5 , 5 / 6 ] ] iex&gt; Descisionex.Helper . round_matrix ( matrix ) [ [ 0.333 , 0.667 ] , [ 0.8 , 0.833 ] ]","ref":"Descisionex.Helper.html#round_matrix/1","title":"Descisionex.Helper.round_matrix/1","type":"function"},{"doc":"https://en.wikipedia.org/wiki/Decision-matrix_method","ref":"Descisionex.PaymentMatrix.html","title":"Descisionex.PaymentMatrix","type":"module"},{"doc":"Calculates all criteria for payment matrix. Examples iex&gt; % Descisionex.PaymentMatrix { matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] } |&gt; Descisionex.PaymentMatrix . set_variants ( [ &quot;some&quot; , &quot;variants&quot; ] ) |&gt; Descisionex.PaymentMatrix . calculate_criteria ( ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ criterion : 1.5 , strategy_index : 0 } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ criterion : 3.5 , strategy_index : 1 } , laplace_criterion : %{ criterion : 3.5 , strategy_index : 1 } , matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ criterion : 0 , strategy_index : 1 } , variants : [ &quot;some&quot; , &quot;variants&quot; ] , variants_num : 2 , wald_criterion : %{ criterion : 4 , strategy_index : 1 } }","ref":"Descisionex.PaymentMatrix.html#calculate_criteria/1","title":"Descisionex.PaymentMatrix.calculate_criteria/1","type":"function"},{"doc":"Calculates generalized criterion for payment matrix. Examples iex&gt; % Descisionex.PaymentMatrix { matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] } |&gt; Descisionex.PaymentMatrix . calculate_generalized_criterion ( ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ criterion : 1.5 , strategy_index : 0 } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ } , laplace_criterion : %{ } , matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ } , variants : [ ] , variants_num : 0 , wald_criterion : %{ } }","ref":"Descisionex.PaymentMatrix.html#calculate_generalized_criterion/1","title":"Descisionex.PaymentMatrix.calculate_generalized_criterion/1","type":"function"},{"doc":"Calculates Hurwitz criterion for payment matrix. Examples iex&gt; % Descisionex.PaymentMatrix { matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] } |&gt; Descisionex.PaymentMatrix . calculate_hurwitz_criterion ( ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ criterion : 3.5 , strategy_index : 1 } , laplace_criterion : %{ } , matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ } , variants : [ ] , variants_num : 0 , wald_criterion : %{ } }","ref":"Descisionex.PaymentMatrix.html#calculate_hurwitz_criterion/1","title":"Descisionex.PaymentMatrix.calculate_hurwitz_criterion/1","type":"function"},{"doc":"Calculates Laplace criterion for payment matrix (variants must be set). Examples iex&gt; % Descisionex.PaymentMatrix { matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] } |&gt; Descisionex.PaymentMatrix . calculate_laplace_criterion ( ) ** (ArgumentError) For Laplace criterion variants must be set! iex&gt; % Descisionex.PaymentMatrix { matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] } |&gt; Descisionex.PaymentMatrix . set_variants ( [ &quot;some&quot; , &quot;variants&quot; ] ) |&gt; Descisionex.PaymentMatrix . calculate_laplace_criterion ( ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ } , laplace_criterion : %{ criterion : 3.5 , strategy_index : 1 } , matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ } , variants : [ &quot;some&quot; , &quot;variants&quot; ] , variants_num : 2 , wald_criterion : %{ } }","ref":"Descisionex.PaymentMatrix.html#calculate_laplace_criterion/1","title":"Descisionex.PaymentMatrix.calculate_laplace_criterion/1","type":"function"},{"doc":"Calculates Savage criterion for payment matrix. Examples iex&gt; % Descisionex.PaymentMatrix { matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] } |&gt; Descisionex.PaymentMatrix . calculate_savage_criterion ( ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ } , laplace_criterion : %{ } , matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ criterion : 0 , strategy_index : 1 } , variants : [ ] , variants_num : 0 , wald_criterion : %{ } }","ref":"Descisionex.PaymentMatrix.html#calculate_savage_criterion/1","title":"Descisionex.PaymentMatrix.calculate_savage_criterion/1","type":"function"},{"doc":"Calculates Wald criterion for payment matrix. Examples iex&gt; % Descisionex.PaymentMatrix { matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] } |&gt; Descisionex.PaymentMatrix . calculate_wald_criterion ( ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ } , laplace_criterion : %{ } , matrix : [ [ 1 , 2 ] , [ 3 , 4 ] ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ } , variants : [ ] , variants_num : 0 , wald_criterion : %{ criterion : 4 , strategy_index : 1 } }","ref":"Descisionex.PaymentMatrix.html#calculate_wald_criterion/1","title":"Descisionex.PaymentMatrix.calculate_wald_criterion/1","type":"function"},{"doc":"Set Generalized additional value for payment matrix (range from 0.1 to 0.9), defaults to 0.5. Examples iex&gt; % Descisionex.PaymentMatrix { } |&gt; Descisionex.PaymentMatrix . set_generalized_additional_value ( 0.3 ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.3 , generalized_criterion : %{ } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ } , laplace_criterion : %{ } , matrix : [ ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ } , variants : [ ] , variants_num : 0 , wald_criterion : %{ } } iex&gt; % Descisionex.PaymentMatrix { } |&gt; Descisionex.PaymentMatrix . set_generalized_additional_value ( 0 ) ** (ArgumentError) Generalized additional value incorrect (number range must be from 0.1 to 0.9)","ref":"Descisionex.PaymentMatrix.html#set_generalized_additional_value/2","title":"Descisionex.PaymentMatrix.set_generalized_additional_value/2","type":"function"},{"doc":"Set Hurwitz additional value for payment matrix (range from 0.1 to 0.9), defaults to 0.5. Examples iex&gt; % Descisionex.PaymentMatrix { } |&gt; Descisionex.PaymentMatrix . set_hurwitz_additional_value ( 0.3 ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ } , hurwitz_additional_value : 0.3 , hurwitz_criterion : %{ } , laplace_criterion : %{ } , matrix : [ ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ } , variants : [ ] , variants_num : 0 , wald_criterion : %{ } } iex&gt; % Descisionex.PaymentMatrix { } |&gt; Descisionex.PaymentMatrix . set_hurwitz_additional_value ( 0 ) ** (ArgumentError) Hurwitz additional value incorrect (number range must be from 0.1 to 0.9)","ref":"Descisionex.PaymentMatrix.html#set_hurwitz_additional_value/2","title":"Descisionex.PaymentMatrix.set_hurwitz_additional_value/2","type":"function"},{"doc":"Set steps for payment matrix. Examples iex&gt; % Descisionex.PaymentMatrix { } |&gt; Descisionex.PaymentMatrix . set_steps ( [ &quot;some&quot; , &quot;steps&quot; ] ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ } , laplace_criterion : %{ } , matrix : [ ] , possible_steps : [ &quot;some&quot; , &quot;steps&quot; ] , possible_steps_num : 2 , savage_criterion : %{ } , variants : [ ] , variants_num : 0 , wald_criterion : %{ } }","ref":"Descisionex.PaymentMatrix.html#set_steps/2","title":"Descisionex.PaymentMatrix.set_steps/2","type":"function"},{"doc":"Set variants for payment matrix. Examples iex&gt; % Descisionex.PaymentMatrix { } |&gt; Descisionex.PaymentMatrix . set_variants ( [ &quot;some&quot; , &quot;variants&quot; ] ) % Descisionex.PaymentMatrix { generalized_additional_value : 0.5 , generalized_criterion : %{ } , hurwitz_additional_value : 0.5 , hurwitz_criterion : %{ } , laplace_criterion : %{ } , matrix : [ ] , possible_steps : [ ] , possible_steps_num : 0 , savage_criterion : %{ } , variants : [ &quot;some&quot; , &quot;variants&quot; ] , variants_num : 2 , wald_criterion : %{ } }","ref":"Descisionex.PaymentMatrix.html#set_variants/2","title":"Descisionex.PaymentMatrix.set_variants/2","type":"function"}]